Restart Workflow from DLQ
Restart a failed workflow run from the DLQ. The workflow will start from the beginning.
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/workflows/dlq/restart/{dlqId} \
--header 'Authorization: Bearer <token>'{
"workflowRunId": "<string>",
"workflowCreatedAt": 123
}Authorization
Bearer authentication header of the form Bearer <token>.
Path parameters
The DLQ ID of the workflow run to restart.
Header parameters
Override the number of retries for the workflow steps.
Override the delay before executing the workflow. Format is <value><unit> (e.g., "10s", "5m").
Override the retry delay expression for the workflow steps.
Override the flow control key for the workflow.
Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.
Override the label(s) for the workflow.
You can assign multiple labels by providing a comma-separated list.
Example: label_1,label_2
Override the failure callback URL for the workflow.
Response
200 — Workflow restarted successfully
The ID of the restarted workflow run (a new ID is generated for the restarted run).
The timestamp when the restarted workflow run was created (Unix timestamp in milliseconds).
400 — Bad Request - Invalid DLQ ID, not a workflow message, or workflow doesn't support restart
Error message
401 — Unauthorized
Error message
404 — DLQ message not found
Error message
500 — Internal Server Error
Error message